import java.lang.*;
import java.net.*;

public class ServerMonitor extends Thread
{
  ServerSocket s;
  Socket r;
  Conexao c;
  public ServerMonitor(String nome, ServerSocket ss)
  {
    super(nome);
    s = ss;
  }
  
  public void run()
  {
    String msg;
    int active = 1;

    try
    {
      r = s.accept();
    }
    catch (Exception e)
    {
      System.out.println("Problemas na comunicação com o monitor");
    }
    int i=0;
    
    while (active != 0 )
    {
      try 
      {
        i++;
        msg = c.receive(r);
        System.out.println("Recebi a minha mensagem "+i);
        c.send(r,"  ");
        System.out.println("Mandei a minha mensagem "+i);
      }
      catch(Exception e)
      {
        active = 0;
      }
    }  
    
  }
  
}